# Class GetBestAvailableConnectionRequest

#### Hierarchy

- unknown
  - GetBestAvailableConnectionRequest

- Defined in src/protobuf/grpc_pb.d.ts:1120
- Defined in src/protobuf/grpc_pb.d.ts:1129

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new GetBestAvailableConnectionRequest(): GetBestAvailableConnectionRequest

- #### Returns GetBestAvailableConnectionRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1121

### toObject

- toObject(includeInstance?: boolean): GetBestAvailableConnectionRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns GetBestAvailableConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1122

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetBestAvailableConnectionRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetBestAvailableConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1125

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetBestAvailableConnectionRequest, reader: BinaryReader): GetBestAvailableConnectionRequest

- #### Parameters

  - ##### message: GetBestAvailableConnectionRequest

  - ##### reader: BinaryReader

  #### Returns GetBestAvailableConnectionRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1126

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: GetBestAvailableConnectionRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: GetBestAvailableConnectionRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1124

### `Static` toObject

- toObject(includeInstance: boolean, msg: GetBestAvailableConnectionRequest): GetBestAvailableConnectionRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetBestAvailableConnectionRequest

  #### Returns GetBestAvailableConnectionRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1123

Generated using TypeDoc